VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "vbz MCI-Demo"
   ClientHeight    =   4920
   ClientLeft      =   3915
   ClientTop       =   2235
   ClientWidth     =   6945
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4920
   ScaleWidth      =   6945
   Begin VB.CommandButton cmd 
      Caption         =   "Eject"
      Height          =   315
      Index           =   3
      Left            =   3540
      TabIndex        =   10
      Top             =   3960
      Width           =   975
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   1000
      Left            =   4680
      Top             =   3900
   End
   Begin VB.CommandButton cmd 
      Caption         =   "Play"
      Height          =   315
      Index           =   2
      Left            =   5820
      TabIndex        =   8
      Top             =   3480
      Width           =   975
   End
   Begin VB.CommandButton cmd 
      Caption         =   "Pause"
      Height          =   315
      Index           =   1
      Left            =   4680
      TabIndex        =   7
      Top             =   3480
      Width           =   975
   End
   Begin VB.CommandButton cmd 
      Caption         =   "Stop"
      Height          =   315
      Index           =   0
      Left            =   3540
      TabIndex        =   6
      Top             =   3480
      Width           =   975
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   180
      TabIndex        =   5
      Top             =   3120
      Width           =   6615
   End
   Begin VB.FileListBox File1 
      Height          =   2625
      Left            =   2940
      Pattern         =   "*.wav;*.mp3;*.cda;*.mid;*.avi"
      TabIndex        =   4
      Top             =   180
      Width           =   3855
   End
   Begin VB.DirListBox Dir1 
      Height          =   2115
      Left            =   180
      TabIndex        =   3
      Top             =   660
      Width           =   2595
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   180
      TabIndex        =   2
      Top             =   180
      Width           =   2655
   End
   Begin VB.CommandButton cmdEnd 
      Caption         =   "&Beenden"
      Height          =   375
      Left            =   5460
      TabIndex        =   0
      Top             =   4380
      Width           =   1335
   End
   Begin VB.Label Label2 
      Caption         =   $"frmMain.frx":0CCA
      ForeColor       =   &H00800000&
      Height          =   975
      Left            =   180
      TabIndex        =   11
      Top             =   3480
      Width           =   3195
   End
   Begin VB.Label Label1 
      Height          =   255
      Left            =   180
      TabIndex        =   9
      Top             =   2880
      Width           =   6615
   End
   Begin VB.Label vbzentrum 
      Caption         =   "www.vb-zentrum.de"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   225
      Left            =   180
      TabIndex        =   1
      ToolTipText     =   "zur Homepage..."
      Top             =   4560
      Width           =   1770
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' vbzDemo   : MCI
' Stand     : 31.12.2004
' Quelle    : http://www.vb-zentrum.de

Option Explicit

Dim playPos As Long

Private Declare Function ShellExecute Lib "Shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long

Private Sub cmd_Click(Index As Integer)
  Select Case Index
    Case 0
      mciStop
      Label1.Caption = ""
    Case 1
      mciPause
    Case 2
      If Not mciPlay(Dir1.Path & "\" & File1.FileName) Then
        Exit Sub
      End If
      'Damit Titel und Zeit direkt angezeigt
      'werden, den Timer einmal von Hand aufrufen:
      Timer1_Timer
      If LCase(Right$(File1.FileName, 4)) = ".cda" Then
        PlayTrack (File1.ListIndex + 1)
      End If
      HScroll1.Max = mciTotalSec
    Case 3
      mciEjectCD (Drive1)
  End Select
  Timer1.Enabled = (Index = 2)  ' Nur beim Abspielen Timer starten
End Sub

Private Sub cmdEnd_Click()
  Unload Me
End Sub

Private Sub Dir1_Change()
  File1 = Dir1
End Sub

Private Sub Drive1_Change()
  On Local Error Resume Next
  Dir1 = Drive1
End Sub

Private Sub File1_DblClick()
  cmd_Click (2)
End Sub

Private Sub Form_Unload(Cancel As Integer)
  mciStop
  Set frmMain = Nothing
End Sub

Private Sub HScroll1_Scroll()
  mciPlay Dir1.Path & "\" & File1.FileName, HScroll1.Value
End Sub

Private Sub Timer1_Timer()
  Dim t As String
  t = mciTimePos
  Label1.Caption = mciFileName & ": " & t & " / " & mciTotalTime
  HScroll1.Value = Val(t) * 60 + Val(Mid$(t, InStr(1, t, ":") + 1))
End Sub

Private Sub vbzentrum_Click()
  Me.MousePointer = vbHourglass
  ShellExecute Me.hwnd, "Open", "http://www.vb-zentrum.de", "", "", vbNormalFocus
  Me.MousePointer = vbDefault
End Sub
